[Buildroot] [PATCH] package/wpa_supplicant: use correct include path for libnl-3.0

Romain Naour romain.naour at openwide.fr
Sun Dec 21 21:08:43 UTC 2014


Hi Thomas,

Le 20/12/2014 16:11, Thomas Petazzoni a écrit :
> Dear Romain Naour,
>
> On Wed, 17 Dec 2014 00:07:27 +0100, Romain Naour wrote:
>> Fixes:
>> ERROR: unsafe header/library path used in cross-compilation: '/usr/include/libnl3'
>>
>> Add a dependancy on host-pkgconf when BR2_PACKAGE_LIBNL is enabled.
>>
>> Signed-off-by: Romain Naour <romain.naour at openwide.fr>
>> Reported-by: Jörg Krause <jkrause at posteo.de>
>> Cc: Jörg Krause <jkrause at posteo.de>
>> ---
>>  ...02-use-correct-include-path-for-libnl-3.0.patch | 26 ++++++++++++++++++++++
>>  package/wpa_supplicant/wpa_supplicant.mk           |  2 +-
>>  2 files changed, 27 insertions(+), 1 deletion(-)
>>  create mode 100644 package/wpa_supplicant/0002-use-correct-include-path-for-libnl-3.0.patch
> Thanks, applied. Please submit the patch to upstream wpa_supplicant.
>
> Best regards,
>
> Thomas
Patch sent to the wpa_supplicant mailing list, but it's waiting for moderation.

This is the same patch as for hostapd.

Best regards,
Romain Naour



More information about the buildroot mailing list